ListAutomationExecutions
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AutomationExecution.ListAutomationExecutions(ctx)
if err != nil {
log.Fatal(err)
}
if res.ListAutomationExecutionsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.automationExecution.listAutomationExecutions();
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/automation_executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/automation_executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/automation_executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"automationExecutions": [
{
"automationTemplateId": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"context": {
"context": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"currentVersion": 123,
"deletedAt": "2023-11-07T05:31:56Z",
"duration": "<string>",
"id": "<string>",
"isDraft": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}Automations
List Automation Executions
List all automation executions in the tenant with pagination support.
GET
/
api
/
v1
/
automation_executions
ListAutomationExecutions
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AutomationExecution.ListAutomationExecutions(ctx)
if err != nil {
log.Fatal(err)
}
if res.ListAutomationExecutionsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.automationExecution.listAutomationExecutions();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Response
200 - application/json
Successful response
Was this page helpful?
⌘I